# AlphabetDecorator< L, T > Class Template Reference
[Algebra, Alphabet]

Decorate a given alphabet implementation with meta-symbols. More...

List of all members.

## Detailed Description

### template<class L, class T>
class vcsn::algebra::AlphabetDecorator< L, T >

Decorate a given alphabet implementation with meta-symbols.

The meta-symbols are:

- a 'joker' which symbolizes every letter of the alphabet,
- a 'discard' which symbolizes every letter that is not in the alphabet but of the same letter type.

The meta-symbols are encoded using the type of the letter with a default value that has to be specified with the traits `meta_symbol`. For instance, '?' and '#' for char. Yet, if these characters are already present in the alphabet, we look for another character in a incremental way. If, unfortunately, there is not enough place, the program is stopped.

Definition at line 50 of file decorated_alphabet.hh.